import { IJsonRules, IRulesCore, RuleHandler, RuleIdentifier, RuleResult, Rules } from './core.types';
export declare class RuleCore implements IRulesCore {
    private rules;
    private outputs;
    constructor();
    registerMany: (rules: Rules) => void;
    registerOne: (ruleIdentifier: RuleIdentifier, ruleHandler: RuleHandler) => void;
    execute: (jsonRules: IJsonRules, data?: {}) => RuleResult;
    executeAsync: (jsonRules: IJsonRules, data?: {}) => Promise<RuleResult>;
    private getRuleParams;
    private isRule;
    private getInputValue;
    private getInputValueAsync;
    private setOutputValue;
    private getOutputValue;
}
//# sourceMappingURL=core.d.ts.map